Page MenuHomePhabricator

[mlir] Truncate/skip long strings in ViewOpGraph.cpp
ClosedPublic

Authored by springerm on Jul 19 2021, 8:09 PM.

Details

Summary
  • New pass option max-label-len: Truncate attributes/result types that have more #chars.
  • New pass option print-attrs: Activate/deactivate rendering of attributes.
  • New pass option printResultTypes: Activate/deactivate rendering of result types.

Depends On D106253

Diff Detail

Event Timeline

springerm created this revision.Jul 19 2021, 8:09 PM
springerm requested review of this revision.Jul 19 2021, 8:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 19 2021, 8:09 PM

address comments

springerm updated this revision to Diff 361436.Jul 24 2021, 4:40 AM

minor update

rriddle accepted this revision.Jul 27 2021, 3:08 PM
rriddle added inline comments.
mlir/include/mlir/Transforms/Passes.td
704

The name here is a bit confusing, this isn't just attributes. Can you change this to something more general?

This revision is now accepted and ready to land.Jul 27 2021, 3:08 PM
springerm marked an inline comment as done.Aug 3 2021, 7:03 PM
springerm edited the summary of this revision. (Show Details)Aug 3 2021, 7:11 PM
This revision was landed with ongoing or failed builds.Aug 3 2021, 8:15 PM
This revision was automatically updated to reflect the committed changes.